/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 此处后端没有提供注释 POST /api/LgGigWorkerSignChannelSetting/CreateOrEditLgGigWorkerSignChannelSetting */
export async function createOrEditLgGigWorkerSignChannelSetting(
  body: API.CreateOrEditLgGigWorkerSignChannelSettingInput,
  options?: API.RequestConfig
) {
  return request<string>(
    '/api/LgGigWorkerSignChannelSetting/CreateOrEditLgGigWorkerSignChannelSetting',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 删除渠道配置管理 DELETE /api/LgGigWorkerSignChannelSetting/DeleteLgGigWorkerSignChannelSetting */
export async function deleteLgGigWorkerSignChannelSetting(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteLgGigWorkerSignChannelSettingParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorkerSignChannelSetting/DeleteLgGigWorkerSignChannelSetting', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取渠道管理列表 POST /api/LgGigWorkerSignChannelSetting/GetLgGigWorkerSignChannelSettingList */
export async function getLgGigWorkerSignChannelSettingList(
  body: API.GetGigWorkerSignChannelSettingInput,
  options?: API.RequestConfig
) {
  return request<API.LgGigWorkerSignChannelSettingDtoPageOutput>(
    '/api/LgGigWorkerSignChannelSetting/GetLgGigWorkerSignChannelSettingList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 设置配置状态 POST /api/LgGigWorkerSignChannelSetting/SetLgGigWorkerSignChannelSettingStatus */
export async function setLgGigWorkerSignChannelSettingStatus(
  body: API.SetSignChannelStatusInput,
  options?: API.RequestConfig
) {
  return request<number>(
    '/api/LgGigWorkerSignChannelSetting/SetLgGigWorkerSignChannelSettingStatus',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}
